#! /bin/bash

latex_prog=`which latex`

if [ -z "$1" -o "$1" = "-all" -o "$1" = "-class" -o "$1" = "-doc" -o "$1" = "-clear" ]; then
    if [ -e graph_paper.ins ]; then
	if [ -e graph_paper.dtx ]; then
	    if [ -x "$latex_prog" ]; then
		if [ -z "$1" -o "$1" = "-all" -o "$1" = "-class" ]; then
		    $latex_prog graph_paper.ins
		fi
		if [ "$1" = "-all" -o "$1" = "-doc" ]; then
		    $latex_prog graph_paper.dtx
		    makeindex -s gind.ist graph_paper
		    makeindex -s gglo.ist -o graph_paper.gls graph_paper.glo
		    $latex_prog graph_paper.dtx
		    $latex_prog graph_paper.dtx
		    dvips graph_paper.dvi -o graph_paper.ps
		fi

		if [ "$1" = "-all" -o "$1" = "-clear" -o "$1" = "-doc" ]; then
		    find . -maxdepth 1 -type f -a \! -name "*.dtx" -a \! -name "*.ps" -a \! -name "*.tex" -a \! -name "*.sh" -a \! -name "*.ins" -a \! -name "*.tar.gz" -a \! -iname "README" -a \! -iname "COPYING" -a \! -name "*.cls" -exec rm {} \;
		fi
	    else
	    	echo "Didn't find LaTeX"
	    fi
	fi
    fi
else
    echo "Usage information:"
    echo "                   -all : extract class file and samples from dtx and" 
    echo "                         build the documentation"
    echo "    no option or -class : extract only the class file and the samples"
    echo "                 -doc   : build only the documentation"
    echo "                 -clear : delete all unneeded files (not *.dtx, *.cls, *.tex, *.ps, *.sh, *.ins, *.tar.gz)"
    echo "      any other option  : this usage information"
fi
